%define snapshot_date 20070821

# 20070406 = svnrel 313
# svn co http://svn.openchrome.org/svn/trunk openchrome

# (anssi) The unversioned symlink of XvMC library must be present in
# %{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%define _requires_exceptions devel(

Name: x11-driver-video-openchrome
Version: 0.2.0.%{snapshot_date}
Release: %mkrel 2
Summary: The X.org driver for Unichrome cards from the OpenChrome project
Group: System/X11
URL: http://www.openchrome.org
Source: openchrome-%{snapshot_date}.tar.bz2
Patch0: unichrome-driver_name.patch
Patch1: unichrome-fixcompile.patch
# http://wiki.openchrome.org/pipermail/openchrome-users/2007-February/002752.html
Patch2: vt1625_NTSC_modes.patch
# http://billionmokeys.net/openchrome
Patch3: billionmokeys.net_openchrome.patch
Patch4: openchrome-chrome9-support.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: GL-devel
BuildRequires: libdrm-devel
BuildRequires: libx11-devel
BuildRequires: libxvmc-devel
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: xorg-x11-server < 7.0

%description
The X.org driver for Imstt



%prep
%setup -q -n openchrome
%patch0 -p1 -b .driver_name
#patch1 -p1 -b .fixcompile
%patch2 -p0 -b .vt1625_NTSC_modes
%patch3 -p0 -b .billionmonkeys
%patch4 -p1 -b .chrome9
sh autogen.sh

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libopenchromeXvMC.la
%{_libdir}/libopenchromeXvMC.so
%{_libdir}/libopenchromeXvMC.so.1
%{_libdir}/libopenchromeXvMC.so.1.0.0
%{_libdir}/libopenchromeXvMCPro.la
%{_libdir}/libopenchromeXvMCPro.so
%{_libdir}/libopenchromeXvMCPro.so.1
%{_libdir}/libopenchromeXvMCPro.so.1.0.0
%{_libdir}/xorg/modules/drivers/openchrome_drv.la
%{_libdir}/xorg/modules/drivers/openchrome_drv.so
%{_mandir}/man4/openchrome.*





%changelog
* Tue Aug 21 2007 Paulo Andrade <pcpa@mandriva.com.br> 0.2.0.20070821-2mdv2008.0
+ Revision: 68697
- Add chrome9 suport.

* Tue Aug 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.2.0.20070821-1mdv2008.0
+ Revision: 68639
- update to a newer snapshot version of the driver

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages extension


* Sat Apr 07 2007 Stefan van der Eijk <stefan@mandriva.org> 0.2.0.20070406-1mdv2007.1
+ Revision: 151222
- fix setup
- correct release
- 20070406, svnrel 313
- add vt1625 patches

* Mon Mar 12 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.2.0.20060725-5mdv2007.1
+ Revision: 141727
- Added a patch fixing compilation on i586 (#29352)
- Adding BuildRequires for GL-devel
- Added missing BuildRequires
- Fixed the patch for the name change. Now it is working.

  + Anssi Hannula <anssi@mandriva.org>
    - remove devel requires

* Fri Sep 08 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.2.0.20060725-1mdv2007.0
+ Revision: 60441
- adding openchrome driver to cooker. Still needs testing

